package frc.robot.Subsystems;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants.FlipperConstants;

public class Flipper extends SubsystemBase{
    
    //creates instanced variables//
    private VictorSP motor1;
    
    private DigitalInput photoSwitch1;


    public Flipper() {
        
        //creates instances of all our hardware//
        motor1 = new VictorSP(FlipperConstants.kFlipperPWM);

        photoSwitch1 = new DigitalInput(FlipperConstants.kFlipperPhotoSwitch);
    }

    //a method that returns the state of photoSwitch1//
    public boolean getPhotoSwitch1() {
        return photoSwitch1.get();
    }

    //commands that start and stop our flipper//
    public Command runFlipper() {
        return run(() -> {
            motor1.set(1);})
            .onlyWhile(photoSwitch1::get);
    }

    public Command stopFlipper(){
        return run(() -> {
            motor1.set(0);
        });
    }
}