package frc.robot.Subsystems;

import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants.ShooterConstants;

public class Shooter extends SubsystemBase{
    
    //creates instanced variables//
    private VictorSP frontMotor;
    private VictorSP rearMotor;

    //creates motor instances//
    public Shooter() {
        frontMotor = new VictorSP(ShooterConstants.frontMotorPWM);
        rearMotor = new VictorSP(ShooterConstants.rearMotorPWM);

        //makes the rear motor copy the front//
        frontMotor.addFollower(rearMotor);
    }

    //commands that start and stop our shooter//
    public Command runShooter(){
        return run(() -> {
            frontMotor.set(1);
        });
    }

    public Command stopShooter(){
        return run(() -> {
            frontMotor.set(0);
        });
    }
}
